Bug 87006 - Eliminate xxxLanguage classes for languages in java/lexer and create html/lexer
Eliminate xxxLanguage classes for languages in java/lexer and create html/lexer
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Lexer
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 14:21 UTC by Miloslav Metelka
Modified: 2006-10-24 10:16 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2006-10-12 14:21:15 UTC
After recent discussions with Vita and others I would like to make a convention
to have xxxTokenId class in the API only (e.g. JavaTokenId or HTMLTokenId) and
have the particular language accessible by xxxTokenId.language() static method.
The xxxLanguage classes will be removed.
Also I would like to move the HTML stuff out of the java/lexer into a new
html/lexer module.
Comment 1 Miloslav Metelka 2006-10-12 14:26:19 UTC
Marking this for fasttrack review. If there are no objections I would like to
commit this sooner than after a week.
Comment 2 Jaroslav Tulach 2006-10-13 12:43:12 UTC
Less classes in API is always better.
Comment 3 Miloslav Metelka 2006-10-17 16:53:56 UTC
Fixed in trunk:
Checking in html/editor/src/org/netbeans/modules/editor/html/HTMLKit.java;
/cvs/html/editor/src/org/netbeans/modules/editor/html/HTMLKit.java,v  <-- 
HTMLKit.java
new revision: 1.16; previous revision: 1.15
done
Removing html/lexer/src/org/netbeans/api/html/lexer/HTMLLanguage.java;
/cvs/html/lexer/src/org/netbeans/api/html/lexer/HTMLLanguage.java,v  <-- 
HTMLLanguage.java
new revision: delete; previous revision: 1.2
done
Checking in html/lexer/src/org/netbeans/api/html/lexer/HTMLTokenId.java;
/cvs/html/lexer/src/org/netbeans/api/html/lexer/HTMLTokenId.java,v  <-- 
HTMLTokenId.java
new revision: 1.2; previous revision: 1.1
done
Removing java/lexer/src/org/netbeans/api/java/lexer/HTMLLanguage.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/HTMLLanguage.java,v  <-- 
HTMLLanguage.java
new revision: delete; previous revision: 1.2
done
Removing java/lexer/src/org/netbeans/api/java/lexer/HTMLTokenId.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/HTMLTokenId.java,v  <-- 
HTMLTokenId.java
new revision: delete; previous revision: 1.2
done
Removing java/lexer/src/org/netbeans/api/java/lexer/JavaLanguage.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/JavaLanguage.java,v  <-- 
JavaLanguage.java
new revision: delete; previous revision: 1.3
done
Removing java/lexer/src/org/netbeans/api/java/lexer/JavaStringLanguage.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/JavaStringLanguage.java,v  <-- 
JavaStringLanguage.java
new revision: delete; previous revision: 1.2
done
Checking in java/lexer/src/org/netbeans/api/java/lexer/JavaStringTokenId.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/JavaStringTokenId.java,v  <-- 
JavaStringTokenId.java
new revision: 1.3; previous revision: 1.2
done
Checking in java/lexer/src/org/netbeans/api/java/lexer/JavaTokenId.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/JavaTokenId.java,v  <-- 
JavaTokenId.java
new revision: 1.3; previous revision: 1.2
done
Removing java/lexer/src/org/netbeans/api/java/lexer/JavadocLanguage.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/JavadocLanguage.java,v  <-- 
JavadocLanguage.java
new revision: delete; previous revision: 1.3
done
Checking in java/lexer/src/org/netbeans/api/java/lexer/JavadocTokenId.java;
/cvs/java/lexer/src/org/netbeans/api/java/lexer/JavadocTokenId.java,v  <-- 
JavadocTokenId.java
new revision: 1.3; previous revision: 1.2
done
Removing java/lexer/src/org/netbeans/lib/java/lexer/HTMLLexer.java;
/cvs/java/lexer/src/org/netbeans/lib/java/lexer/HTMLLexer.java,v  <-- 
HTMLLexer.java
new revision: delete; previous revision: 1.2
done
Removing web/jspsyntax/lexer/src/org/netbeans/api/jsp/lexer/JspLanguage.java;
/cvs/web/jspsyntax/lexer/src/org/netbeans/api/jsp/lexer/JspLanguage.java,v  <--
 JspLanguage.java
new revision: delete; previous revision: 1.1
done
Checking in web/jspsyntax/lexer/src/org/netbeans/api/jsp/lexer/JspTokenId.java;
/cvs/web/jspsyntax/lexer/src/org/netbeans/api/jsp/lexer/JspTokenId.java,v  <-- 
JspTokenId.java
new revision: 1.2; previous revision: 1.1
done
Checking in web/jspsyntax/src/org/netbeans/modules/web/core/syntax/JSPKit.java;
/cvs/web/jspsyntax/src/org/netbeans/modules/web/core/syntax/JSPKit.java,v  <-- 
JSPKit.java
new revision: 1.31; previous revision: 1.30
done
Comment 4 Jesse Glick 2006-10-19 23:08:42 UTC
xml/lexer is not in compliance with this convention.
Comment 5 Miloslav Metelka 2006-10-23 20:26:07 UTC
Fixed xml/lexer as well.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo